#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0xb8fb0d09, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x71f0d0d6, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x40c5520f, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x48702e9a, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xf22f5fd1, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x8d64b9e4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a659b78, "drm_client_framebuffer_delete" },
	{ 0x2d04d1df, "drm_client_framebuffer_create" },
	{ 0xa7f7040e, "drm_fb_helper_deferred_io" },
	{ 0x81ef8291, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fb6d38e, "drm_driver_legacy_fb_format" },
	{ 0x9590339b, "drm_fb_helper_fill_info" },
	{ 0x5d6d5eb5, "fb_deferred_io_init" },
	{ 0x346041a2, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf79b99e2, "dev_driver_string" },
	{ 0x71f6d545, "drm_fb_helper_hotplug_event" },
	{ 0x58f547ac, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x923f1515, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x9b1320ea, "sys_imageblit" },
	{ 0xce8e616c, "drm_fb_helper_damage_range" },
	{ 0xbeba4735, "drm_fb_helper_blank" },
	{ 0xf1e479bc, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5ea3597e, "drm_fb_helper_damage_area" },
	{ 0xc2e89b53, "sys_fillrect" },
	{ 0x2dff358b, "module_put" },
	{ 0x98c9f1c8, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x54a8c856, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x6190a737, "drm_fb_helper_prepare" },
	{ 0x17841205, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa3d90061, "__drm_dev_dbg" },
	{ 0xbe4cf451, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x855750b9, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xff9d1a81, "drm_client_release" },
	{ 0x52b62896, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7bee0565, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfce2cb10, "fb_sys_read" },
	{ 0x76ef917e, "drm_fb_helper_debug_leave" },
	{ 0x860de52f, "ttm_bo_mmap_obj" },
	{ 0x5757cb21, "drm_client_buffer_vunmap_local" },
	{ 0x9bd3b8a2, "ttm_bo_vmap" },
	{ 0x8f104795, "drm_client_buffer_vmap_local" },
	{ 0x918c7bc7, "drm_fb_helper_initial_config" },
	{ 0x224a52b3, "drm_fb_helper_unregister_info" },
	{ 0x70f8788a, "kmalloc_caches" },
	{ 0xa640c847, "drm_fb_helper_ioctl" },
	{ 0x4647a249, "drm_fb_helper_set_par" },
	{ 0xd7c41f6b, "drm_client_register" },
	{ 0xcbab3e13, "try_module_get" },
	{ 0x3d774680, "drm_fb_helper_init" },
	{ 0x86e2bb13, "drm_fb_helper_debug_enter" },
	{ 0xc8517aa6, "drm_fb_helper_lastclose" },
	{ 0x7a80826b, "drm_fb_helper_setcmap" },
	{ 0x74a22a84, "drm_fb_helper_alloc_info" },
	{ 0x40bd35fe, "drm_helper_disable_unused_functions" },
	{ 0xf9b6c5cc, "drm_fb_helper_unprepare" },
	{ 0x80d7da7c, "drm_fb_helper_fini" },
	{ 0x9dba25af, "module_layout" },
};

MODULE_INFO(depends, "ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
